Find invoice by id
curl --request GET \
--url https://api.leanpay.fr/v1/public/invoices/{invoiceId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.leanpay.fr/v1/public/invoices/{invoiceId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.leanpay.fr/v1/public/invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>",
"reference": "<string>",
"amount": 123,
"remainingAmount": 123,
"paidAmount": 123,
"offsetAmount": 123,
"sentDate": "2023-11-07T05:31:56Z",
"issueDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"upcomingPaymentDate": "2023-11-07T05:31:56Z",
"dueDates": [
{
"dueDate": "2023-11-07T05:31:56Z",
"currency": "<string>",
"amount": 1,
"defaultCurrencyAmount": 1
}
],
"payments": [
{
"date": "2023-11-07T05:31:56Z",
"amount": 1,
"defaultCurrencyAmount": 1,
"externalId": "<string>"
}
],
"creditNoteLinks": [
{
"date": "2023-11-07T05:31:56Z",
"amount": 1,
"defaultCurrencyAmount": 1,
"externalId": "<string>",
"creditNote": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalId": "<string>"
}
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}invoices
Find invoice by id
GET
/
invoices
/
{invoiceId}
Find invoice by id
Authorizations
Path Parameters
Id of the invoice
Response
Found invoice
use issueDate instead
Invoice status
Available options:
due, overdue, paid, disputed, offset, payment_in_progress, upcoming_payment, recovery Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
